Subject: Re: [PATCH net v3 3/4] net: phy: do not force EEE support

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 23 Feb 2023 09:54:59 +0000

On Wed, Feb 22, 2023 at 06:50:42AM +0100, Oleksij Rempel wrote:
> With following patches:
> commit 9b01c885be36 ("net: phy: c22: migrate to genphy_c45_write_eee_adv()")
> commit 5827b168125d ("net: phy: c45: migrate to genphy_c45_write_eee_adv()")
> 
> we set the advertisement to potentially supported values. This behavior
> may introduce new regressions on systems where EEE was disabled by
> default (BIOS or boot loader configuration or by other ways.)
> 
> At same time, with this patches, we would overwrite EEE advertisement
> configuration made over ethtool.
> 
> To avoid this issues, we need to cache initial and ethtool advertisement
> configuration and store it for later use.
> 
> Fixes: 9b01c885be36 ("net: phy: c22: migrate to genphy_c45_write_eee_adv()")
> Fixes: 5827b168125d ("net: phy: c45: migrate to genphy_c45_write_eee_adv()")
> Fixes: 022c3f87f88e ("net: phy: add genphy_c45_ethtool_get/set_eee() support")
> Signed-off-by: Oleksij Rempel <[email-masked]>

Reviewed-by: Russell King (Oracle) <[email-masked]>

Thanks!

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!